/*
 * ASUS K501UQ - OpenCore hotpatches
 * IRQ conflicts fix
 * 
 * Fix generated by SSDTTime.
 * Optional, might require more advanced _CRS replacement
 * for better Windows compatibility.
 * 
 * Required patches:
 * Method replacement - _CRS => XCRS in DSDT
 *      5F435253 08A019 => 58435253 08A019 
 * RTC IRQ 1 patch in DSDT
 *      22000179 00 => 22000079 00
 * TIMR IRQ 8 patch in DSDT
 *      22010079 00 => 22000079 00
 */
DefinitionBlock ("", "SSDT", 2, "hack", "HPET", 0x00000000)
{
    External (_SB_.PCI0.LPCB, DeviceObj)

    Name (\_SB.PCI0.LPCB.HPET._CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
    {
        IRQNoFlags ()
            {0,8,11}
        Memory32Fixed (ReadWrite,
            0xFED00000,         // Address Base
            0x00000400,         // Address Length
            )
    })
}

